Bug 151351 - Start Center: Text in buttons is not readable (gen)
Summary: Start Center: Text in buttons is not readable (gen)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.5.0.0 alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.5.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Start-Center-Accessibility
  Show dependency treegraph
 
Reported: 2022-10-05 08:18 UTC by Xisco Faulí
Modified: 2022-10-06 11:32 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screenshot (43.29 KB, image/png)
2022-10-05 08:18 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2022-10-05 08:18:57 UTC
Created attachment 182839 [details]
Screenshot

Steps to reproduce:
1. Open LibreOffice with SAL_USE_VCLPLUGIN=gen
2. Click on Templates, then click on Recent Documents

-> The text is not readable in those buttons. See screenshot

Reproduced in

Version: 7.5.0.0.alpha0+ / LibreOffice Community
Build ID: ca1fd7535770139044f7c1a9f7e59a082d710b6d
CPU threads: 8; OS: Linux 5.10; UI render: default; VCL: x11
Locale: es-ES (es_ES.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2022-10-05 08:19:53 UTC
Regression introduced by:

author	Heiko Tietze <tietze.heiko@gmail.com>	2022-09-09 16:07:28 +0200
committer	Heiko Tietze <heiko.tietze@documentfoundation.org>	2022-09-16 10:31:45 +0200
commit 164a1f4c3315fc44161128d3d9ca886f767f7d30 (patch)
tree 006195133ef2eb486902d16f5417ee3fe5b58f11
parent 08bce8eeb2e18c7cea4108dbfc2519ada56e8b61 (diff)
Resolves tdf#80934 - GUI means to filter thumbnails in start center

Bisected with: bibisect-linux64-7.5

Adding Cc: to Heiko Tietze
Comment 2 Heiko Tietze 2022-10-05 09:28:48 UTC
Changed GtkToggleMenuButton into GtkToggleButton, which obviously don't pick up the right background color. My theme is dark and font are respectively bright - which works well for kf5 and gtk3. 

Caolan, guess I could set the text color but wonder if some more basic fix makes sense. What do you think?
Comment 3 Caolán McNamara 2022-10-05 10:16:04 UTC
There is use of "set_stack_background" and "set_highlight_background", do we know the motivation behind using those. Is there a reason to not just drop the overriding defaults?
Comment 4 Heiko Tietze 2022-10-05 12:25:16 UTC
(In reply to Caolán McNamara from comment #3)
> There is use of "set_stack_background" and "set_highlight_background", do we
> know the motivation behind using those.

No idea about set_highlight_background(). I wanted the button to clearly show the toggled state, which wasn't working before. Btw, there is another ticket about start center being too large and it might make sense to move these two buttons to the newly introduced "toolbar".
Comment 5 Caolán McNamara 2022-10-05 12:57:55 UTC
lets try and tweak the "flat mode" in gen a bit and fix up the kf5 flat toggle button "pressed" state.
Comment 6 Commit Notification 2022-10-05 13:51:31 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4006b855cc94fbd817f9c19d7361b5d6a06d152e

Related: tdf#151351 kf5 pressed flat toggle buttons not visually depressed

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2022-10-05 13:53:40 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f61b6a3a23303aff75051bc704375db92ae8f345

Resolves: tdf#151351 rework flat button rendering

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2022-10-05 13:54:51 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/1490923bea9c3ec763488a73912ff0a143329a24

Related: tdf#151351 don't use stack/highlight bg for buttons

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Caolán McNamara 2022-10-05 14:26:44 UTC
that looks reasonable to me now, visually "depressed" toggle button in gen and kf5 and (IMO) better flat buttons for gen
Comment 10 Heiko Tietze 2022-10-06 11:32:47 UTC
LNTM, looks nice to me